SUSE Security Update: Security update for SDL
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:14943-1
Rating:             important
References:         #1124825 #1181201 #1181202 #1198001 
Cross-References:   CVE-2019-7637 CVE-2020-14409 CVE-2020-14410
                    CVE-2021-33657
CVSS scores:
                    CVE-2019-7637 (NVD) : 8.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2019-7637 (SUSE): 5.3 CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L
                    CVE-2020-14409 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2020-14409 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2020-14410 (NVD) : 5.4 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:L
                    CVE-2020-14410 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2021-33657 (NVD) : 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-33657 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Affected Products:
                    SUSE Linux Enterprise Debuginfo 11-SP3
                    SUSE Linux Enterprise Debuginfo 11-SP4
                    SUSE Linux Enterprise Point of Sale 11-SP3
                    SUSE Linux Enterprise Server 11-SP4-LTSS
______________________________________________________________________________

   An update that fixes four vulnerabilities is now available.

Description:

   This update for SDL fixes the following issues:

   - CVE-2020-14410: Fixed a heap-based buffer over-read in
     Blit_3or4_to_3or4__inversed_rgb in video/SDL_blit_N.c (bsc#1181201).
   - CVE-2019-7637: Fixed a heap-based buffer overflow in SDL_FillRect in
     video/SDL_surface.c (bsc#1124825).
   - CVE-2021-33657: Fix a buffer overflow when parsing a crafted BMP image
     (bsc#1198001).
   - CVE-2020-14409: Fixed an integer overflow (and resultant SDL_memcpy heap
     corruption) in SDL_BlitCopy in video/SDL_blit_copy.c (bsc#1181202).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server 11-SP4-LTSS:

      zypper in -t patch slessp4-SDL-14943=1

   - SUSE Linux Enterprise Point of Sale 11-SP3:

      zypper in -t patch sleposp3-SDL-14943=1

   - SUSE Linux Enterprise Debuginfo 11-SP4:

      zypper in -t patch dbgsp4-SDL-14943=1

   - SUSE Linux Enterprise Debuginfo 11-SP3:

      zypper in -t patch dbgsp3-SDL-14943=1



Package List:

   - SUSE Linux Enterprise Server 11-SP4-LTSS (i586 ppc64 s390x x86_64):

      SDL-1.2.13-106.21.1

   - SUSE Linux Enterprise Server 11-SP4-LTSS (ppc64 s390x x86_64):

      SDL-32bit-1.2.13-106.21.1

   - SUSE Linux Enterprise Point of Sale 11-SP3 (i586):

      SDL-1.2.13-106.21.1

   - SUSE Linux Enterprise Debuginfo 11-SP4 (i586 ppc64 s390x x86_64):

      SDL-debuginfo-1.2.13-106.21.1
      SDL-debugsource-1.2.13-106.21.1

   - SUSE Linux Enterprise Debuginfo 11-SP4 (ppc64 s390x x86_64):

      SDL-debuginfo-32bit-1.2.13-106.21.1

   - SUSE Linux Enterprise Debuginfo 11-SP3 (i586 s390x x86_64):

      SDL-debuginfo-1.2.13-106.21.1
      SDL-debugsource-1.2.13-106.21.1

   - SUSE Linux Enterprise Debuginfo 11-SP3 (s390x x86_64):

      SDL-debuginfo-32bit-1.2.13-106.21.1


References:

   https://www.suse.com/security/cve/CVE-2019-7637.html
   https://www.suse.com/security/cve/CVE-2020-14409.html
   https://www.suse.com/security/cve/CVE-2020-14410.html
   https://www.suse.com/security/cve/CVE-2021-33657.html
   https://bugzilla.suse.com/1124825
   https://bugzilla.suse.com/1181201
   https://bugzilla.suse.com/1181202
   https://bugzilla.suse.com/1198001